
4C Install                                                       4C Install

          Here is a quick summary  of  how  to  install  4C  from  the
     install tape.

            1)  Create  a   /usr/4c   directory   with   r/w
               permissions  for  your  owner  of  4C.   This
               directory MUST exist and at  a  minimum  will
               contain the 4C.info file.

            2) Choose an owner and a group  for  4C.   These
               can  be  changed any time you install 4C, but
               they must correspond to a  real  user  and  a
               real  group.   A good convention to use is to
               create a usr4c user and a grp4c group.

            3) Login either as the owner of 4C, or as  root.
               It  is preferable to avoid logging in as root
               unless you are changing the owner of 4C.

            4) cd to your install directory.   This  can  be
               any  directory  on a filesystem with at least
               20 meg of free disk  space.   Typically  this
               will be /tmp, /usr/tmp, or /usr/4c

            5) If a previous 4C install tape exists in  this
               directory, remove it with the command:

                    rm -r 4cinst.d

            6) tar the files from the tape  with  a  command
               similar to:

                    tar -xf <tapedev>

               where  you   replace   <tapedev>   with   the
               appropriate device name.

                    If there  were  no  errors  reading  the
               tape,   there   will  be  a  directory  named
               4cinst.d below the  current  directory,  with
               all 4C files in it.

            7) enter the following 2 commands:

                    cd ./4cinst.d
                    /bin/sh ./4cinst.sh










                                    -1-


4C Install                                                       4C Install


          You will be prompted at this point with  several  questions.
     At  any,  you  can press <RTN> to get the default, or 'Q' to quit
     the install.  If for any reason, the install fails, you can  redo
     it.   Each  file  that  is installed is uncompressed and verified
     against  a  checksum.   Any  checksum  failures  are  printed  as
     warnings  to  the terminal and to the 4Cinst.hist file in the etc
     directory.

          The questions that you must answer for the install follow:

            1) You will probably be prompted if it is OK  to
               use  the  directory /usr/4c.  Answer 'y'.  If
               this directory does not  exist,  the  install
               script  will  try to create it and exit if it
               cannot.  It  is  better  to  make  sure  this
               directory exists beforehand.

            2) Next you will be prompted to enter a security
               type.   This  will default to group for a 1st
               time install, and to  the  previous  security
               for  any  other installs.  Choose none if you
               want ALL users on your system to be  able  to
               access  the  4C  binary  and bootstrap files.
               Choose group if you want only members of your
               4C group to be able to access them and choose
               owner if you want only your 4C  owner  to  be
               able to access.  In most cases group security
               is what you want.  The security type  can  be
               changed  at any time you do an install but it
               only affects files installed at that time.

            3) Next, you will be prompted to  enter  the  4C
               owner.   Enter a valid Unix user name.  Avoid
               using root as the owner of 4C.

            4) Next, you will be prompted to  enter  the  4C
               group.  Enter a valid Unix group name.

            5) Next you will be prompted  to  enter  the  4C
               Base  directory.   Enter  the directory where
               you want the 4C install to default to.   This
               does  not  need to be /usr/4c.  It can be any
               directory.   The  rest   of   the   directory
               defaults for a first time install will depend
               on the directory chosen  here.   Any  one  of
               them can be changed when prompted.

            6) Following this, you will be prompted to enter
               directory   names  for  the  Bin,  Etc,  Lib,
               Documentation,  System,   and   Serialization
               directories.   Press <RTN> to get the default
               value on  these  directories,  or  enter  the
               directory   that   you   want  to  use.   The

                                    -2-


4C Install                                                       4C Install


               Serialization directory takes precedence over
               the  OLD etc_dir for the serialization files.
               If you want to  avoid  re-serialization,  you
               should either specify your OLD etc_dir as the
               Serialization directory, or  rename  the  OLD
               etc_dir  to  the Serialization directory.  DO
               NOT MOVE YOUR SERIALIZATION FILES.   Renaming
               the  directory  is the preferred method.  You
               can rename it, either  before  or  after  the
               install.

            7) Finally, if this is a first time install,  or
               if  you  have modified the configuration, you
               will be prompted if it is OK to update the 4C
               configuration file.  You should answer 'y' to
               this question.

            8) Next you  will  be  prompted  to  do  a  full
               install  or  not.  If you want to install ALL
               4C files, answer 'y' to  this  question.   If
               you  want  to  install  only  portions of 4C,
               answer 'n' to this question and you  will  be
               prompted for which portions to install.































                                    -3-


4C Install                      4C Binaries                      4C Install


          The first files installed are the 4C  binary  files.   These
     files  will  be  copied  to the 4C Bin directory specified above.
     All 4C executables from previous releases  will  be  overwritten.
     There  will  also  be  files  copied to bin/X11 and bin/gnu.  The
     files in bin/X11 are needed  when  running  4C  under  the  Motif
     Window  Manager  on  an  X Workstation.  The files in bin/gnu are
     executables that you will need on you system if you use  RCS  for
     4C  source  control.   In  addition, there are executables that I
     find generally useful.  Finally, there is gdb, the GNU  debugger.
     I  will need this on your system in order to directly debug 4C on
     your system.   Please  read  the  COPYING  file  in  the  4C  lib
     directory  to  understand  the  GNU  Licensing  arrangement.  The
     versions of GNU software included with 4C are all unmodified.  If
     you  want  the  source,  I  will  provide  it,  or you can ftp it
     directly from the Free Software Foundation.  In order to use  the
     GNU  executables,  you  should install them in /usr/local/bin and
     add /usr/local/bin to your path.

          The 4C Binaries take up 35 Meg of disk space under SCO Unix.
     Some of this space can be recovered by removing files that you do
     not need.  If you do not use X, then remove the X11 subdirectory,
     and recover 15 meg.  If you are using X11 and both excel and XLed
     work with shared libraries, then you can  remove  the  excel.nosh
     and  XLed.nosh  files  in  X11.  In the 4C Bin directory, you can
     remove either excel or excel.as and either xlbuild or xlbuild.as.
     The  .as  versions  of excel and xlbuild are only used for 4C Med
     customers using the Appt Scheduler.  If you do not intend to  use
     the  GNU  programs,  you  can  also remove this entire directory.
     However, gdb must be on the system if online  debugging  is  ever
     needed.   All  versions of excel and xlbuild are unstripped so as
     to aid with debugging if it is necessary to log onto your system.























                                    -4-


4C Install                       4C System                       4C Install


          The 4C bootstraps are installed in the 4C system  directory.
     The  bootstraps require 10 meg of disk space.  They are installed
     compiled along with their  RCS  version  files.   The  4C  device
     files,  $dev_cap.xl, sys.dev_option.xl, and sys.device.xl, copied
     to the system directory if  they  do  not  already  exist  there.
     These  files  are not overwritten.  All other bootstrap files are
     overwritten.  The special char definition file,  sys.spc_char.xl,
     is  now overwritten as well, but your original will be saved in a
     file named sys.spc_char.bu.  This was necessary since  more  user
     keys  have been made available.  If you modify bootstrap programs
     you should keep them  in  a  separate  directory.   If  you  make
     modifications  to bootstrap programs that are generally useful to
     everyone, export the mod with sufficient documentation  and  they
     may  be incorporated into future versions of the bootstraps.  Use
     the comments in the sc files for documentation.  Any changes sent
     MUST be in a MOD Export Format.






































                                    -5-


4C Install                   4C Serialization                    4C Install


          The  4C  Serialization  directory  is  the  next   installed
     directory.    The  only  files  installed  in  the  Serialization
     directory are the  shellscripts  needed  to  serialize  4C.   The
     Serialize,   Security,   and   UserInfo   files   will  never  be
     overwritten, but they must exist in 4C Serialization directory.

















































                                    -6-


4C Install                        4C Etc                         4C Install


          Next is the 4C Etc directory.  Currently, the only file kept
     in  this  directory  is  a  log of all 4C installs.  It is called
     4Cinst.hist.  You can look  in  this  file  to  verify  what  was
     installed  and  whether  the  install was successful or not.  The
     version of the installed binaries is listed in  this  file  also.
     In the future there may be other files added to this directory.
















































                                    -7-


4C Install                        4C Lib                         4C Install


          The 4C Lib directory contains shellscripts needed by some of
     the  4C  Bin files, awk scripts, sample termcap, jisamconfig, and
     xlconfig files.  It also contains default  bootstrap  files  that
     are  only  installed when they do not exist already in the System
     directory.   The  GNU  license  agreement,  COPYING  is  in  this
     directory  also.   There  is  a sub directory called app-defaults
     with some sample 4C and 4Cutil resource files.















































                                    -8-


4C Install                        4C Doc                         4C Install


     Finally, the documentation directory  is  installed.   There  are
     many  files  here, all in printable format.  See the READ_ME file
     for how to print the files.  At the very least, you should always
     look  at the file Changes.p to see what changes have been made to
     4C.

















































                                    -9-


4C Install                                                       4C Install


          If the install is successful, you can  remove  the  4cinst.d
     directory that was created from the tar tape.




















































                                   -10-

